Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 4055a9c0feb2ea459f3802a42db7982f6e6f6156)
+++ cpukit/ChangeLog	(revision a42f159af5540d9ad5fd88f6b63291d40b2c21bb)
@@ -1,2 +1,9 @@
+2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Remove AUTOMAKE_FILES.
+	* automake/compile.am: Replace contents with contents of
+	automake/amcompile.am.
+	* automake/amcompile.am, automake/lib.am: Remove.
+
 2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 4055a9c0feb2ea459f3802a42db7982f6e6f6156)
+++ cpukit/Makefile.am	(revision a42f159af5540d9ad5fd88f6b63291d40b2c21bb)
@@ -24,8 +24,4 @@
     include/rtems/fs.h include/rtems/stdint.h
 
-AUTOMAKE_FILES = automake/compile.am automake/lib.am automake/local.am \
-    automake/multilib.am automake/subdirs.am
-EXTRA_DIST = $(AUTOMAKE_FILES)
-
 PREINSTALL_FILES =
 
Index: ukit/automake/amcompile.am
===================================================================
--- cpukit/automake/amcompile.am	(revision 4055a9c0feb2ea459f3802a42db7982f6e6f6156)
+++ 	(revision )
@@ -1,80 +1,0 @@
-##
-## $Id$
-##
-
-## -------------------------------------------------------------------------
-## NOTE: This file is rather immature and has to be considered to be 
-## almost experimental.
-##
-## Expect frequent changes -- It deserves to be cleaned up :(
-## -------------------------------------------------------------------------
-
-## The section below is based on make/compilers/gcc-target-default.cfg
-## used in former versions of RTEMS.
-
-## 
-## Set up the flags for the toolchains:
-##
-## We are considering 3 different building schemes here:
-## * Using gcc's being able to accept -specs (aka gcc-2.8 building scheme)
-## * Using gcc's not being able to accept -specs (aka gcc-2.7.2 building
-##   scheme)
-## * Using third party toolchains (aka non-gcc building scheme)
-##
-## Automake conditionals in use:
-## RTEMS_USE_GCC     .. if we are using GCC
-
-## CFLAGS_OPTIMIZE_V, CFLAGS_DEBUG_V are the values we
-## would want the corresponding macros to be set to.
-##
-## CFLAGS_OPTIMIZE, CFLAGS_DEBUG are set by the 
-## 'VARIANT=<OPTIMIZE|DEBUG>' targets to their _V values.
-
-CPPFLAGS = @CPPFLAGS@ $(CPU_DEFINES) $(DEFINES)
-CFLAGS   = @RTEMS_CFLAGS@
-ASFLAGS  = $(CPU_ASFLAGS) $(CPU_CFLAGS)
-
-depend:
-
-## -------------------------------------------------------------------------
-
-## translate VARIANT into VARIANT_V
-VARIANT = OPTIMIZE
-
-VARIANT_OPTIMIZE_V = OPTIMIZE
-VARIANT_DEBUG_V = DEBUG
-VARIANT_optimize_V = OPTIMIZE
-VARIANT_debug_V = DEBUG
-
-VARIANT_V = $(VARIANT_$(VARIANT)_V)
-
-## Setup the library suffix
-LIBSUFFIX_OPTIMIZE_V =
-LIBSUFFIX_DEBUG_V = _g
-LIBSUFFIX__V = $(LIBSUFFIX_OPTIMIZE_V)
-
-LIB_VARIANT = $(LIBSUFFIX_$(VARIANT_V)_V)
-
-## These are supposed to be set in make/custom/<bsp>.cfg
-CPU_CFLAGS = @CPU_CFLAGS@
-CFLAGS_OPTIMIZE_V = @CFLAGS_OPTIMIZE_V@
-CFLAGS_DEBUG_V = @CFLAGS_DEBUG_V@
-CFLAGS__V = $(CFLAGS_OPTIMIZE_V)
-
-## ------------------------------------------------------------------------
-## Setup hard-coded flags
-if RTEMS_USE_GCC
-## gcc >= gcc-2.8
-RTEMS_CFLAGS_OPTIMIZE_V =
-RTEMS_CFLAGS_DEBUG_V = -Wno-unused
-
-## non-gcc
-## We can't guess what flags might be required here.
-## Pass the values from the environment if you want to apply them.
-endif
-RTEMS_CFLAGS__V = $(RTEMS_CFLAGS_OPTIMIZE_V)
-
-## -------------------------------------------------------------------------
-AM_CPPFLAGS = $(RTEMS_CPPFLAGS)
-AM_CFLAGS =
-AM_CCASFLAGS = $(RTEMS_CPPFLAGS) $(RTEMS_ASFLAGS)
Index: cpukit/automake/compile.am
===================================================================
--- cpukit/automake/compile.am	(revision 4055a9c0feb2ea459f3802a42db7982f6e6f6156)
+++ cpukit/automake/compile.am	(revision a42f159af5540d9ad5fd88f6b63291d40b2c21bb)
@@ -25,10 +25,4 @@
 ## RTEMS_USE_GCC     .. if we are using GCC
 
-## NOTES: 
-## * The gcc-2.8 building scheme is the nominal building scheme and
-##   is actively supported.
-## * The non-gcc building scheme requires manually setting up environment 
-##   variables and is hardly tested at all
-
 ## CFLAGS_OPTIMIZE_V, CFLAGS_DEBUG_V are the values we
 ## would want the corresponding macros to be set to.
@@ -37,64 +31,9 @@
 ## 'VARIANT=<OPTIMIZE|DEBUG>' targets to their _V values.
 
-## XCPPFLAGS, XCFLAGS, XASFLAGS 
-## are used to add flags from the shell
-## cf. make.info ("Implicit rules/variables" for details)
+CPPFLAGS = @CPPFLAGS@ $(CPU_DEFINES) $(DEFINES)
+CFLAGS   = @RTEMS_CFLAGS@
+ASFLAGS  = $(CPU_ASFLAGS) $(CPU_CFLAGS)
 
-DEFS = @DEFS@
-
-CPPFLAGS = @CPPFLAGS@ $(CPU_DEFINES) $(DEFINES) $(XCPPFLAGS)
-CFLAGS   = @RTEMS_CFLAGS@ $(XCFLAGS)
-ASFLAGS  = $(CPU_ASFLAGS) $(CPU_CFLAGS) $(XASFLAGS)
-
-#
-# How to compile stuff into ${ARCH} subdirectory
-#
-
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-
-CCASCOMPILE = $(CCAS) $(AM_CCASFLAGS) $(CCASFLAGS)
-
-${ARCH}/%.$(OBJEXT): %.c $(ARCH)/$(dirstamp)
-	${COMPILE} -o $@ -c $<
-
-${ARCH}/%.$(OBJEXT): %.S $(ARCH)/$(dirstamp)
-	${CCASCOMPILE} -o $@ -c $<
-
-# Make foo.rel from foo.$(OBJEXT)
-${ARCH}/%.rel: ${ARCH}/%.$(OBJEXT)
-	${make-rel}
-
-# Dependency files for use by gmake
-# NOTE: we don't put them into $(ARCH)
-#       so that 'make clean' doesn't blow it away
-
-DEPEND=Depends-${ARCH}
-
-# We deliberately don't have anything depend on the
-# $(DEPEND) file; otherwise it will get rebuilt even
-# on 'make clean'
-#
-
-if RTEMS_USE_GCC
-## HACK: Specific to gcc
-## FIXME: The approach below is known to be conceptionally broken.
-depend-gcc: $(C_FILES) $(CC_FILES) $(S_FILES)
-##       Use gcc -M to generate dependencies
-##       Replace foo.$(OBJEXT) with $(ARCH)/foo.$(OBJEXT)
-##       Replace $(ARCH) value with string $(ARCH)
-##           so that it will for debug cases
-	$(COMPILE) -M   $^    |  \
-	sed -e 's?^\(.*\)\.o[ ]*:?$$(ARCH)/\1.o:?' \
-	    -e 's?$(ARCH)/?$$(ARCH)/?'   >$(DEPEND).tmp
-	mv $(DEPEND).tmp $(DEPEND)
-
-# pull in dependencies if they exist  
-ifeq (${DEPEND},$(wildcard ${DEPEND}))
-include ${DEPEND}
-@ENDIF@
-endif
-depend: depend-gcc
+depend:
 
 ## -------------------------------------------------------------------------
@@ -109,15 +48,4 @@
 
 VARIANT_V = $(VARIANT_$(VARIANT)_V)
-
-## Setup the variant build subdirectory
-ARCH_OPTIMIZE_V = o-optimize
-ARCH_DEBUG_V = o-debug
-
-ARCH__V = $(ARCH_OPTIMIZE_V)
-ARCH = $(ARCH_$(VARIANT_V)_V)
-
-${ARCH}/$(dirstamp):
-	@$(mkdir_p) $(ARCH)
-	@: > $(ARCH)/$(dirstamp)
 
 ## Setup the library suffix
Index: ukit/automake/lib.am
===================================================================
--- cpukit/automake/lib.am	(revision 4055a9c0feb2ea459f3802a42db7982f6e6f6156)
+++ 	(revision )
@@ -1,16 +1,0 @@
-##
-##  $Id$
-##
-
-AR = @AR@
-RANLIB = @RANLIB@
-
-ARFLAGS = ruv
-
-define make-library
-$(RM) $@
-$(AR) $(ARFLAGS) $@ $^
-$(RANLIB) $@
-endef
-
-TMPINSTALL_FILES =
